Index: src/Tesselation/BoundaryPolygonSet.cpp
===================================================================
--- src/Tesselation/BoundaryPolygonSet.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Tesselation/BoundaryPolygonSet.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -44,5 +44,5 @@
   Nr(-1)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 }
 ;
@@ -54,7 +54,7 @@
 BoundaryPolygonSet::~BoundaryPolygonSet()
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   endpoints.clear();
-  LOG(1, "Erasing polygon Nr." << Nr << " itself.");
+  LOG(5, "DEBUG: Erasing polygon Nr." << Nr << " itself.");
 }
 ;
@@ -67,5 +67,5 @@
 Vector * BoundaryPolygonSet::GetNormalVector(const Vector &OtherVector) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // get normal vector
   Vector TemporaryNormal;
@@ -97,5 +97,5 @@
   if (TotalNormal->ScalarProduct(OtherVector) > 0.)
     TotalNormal->Scale(-1.);
-  LOG(1, "Normal Vector is " << *TotalNormal << ".");
+  LOG(4, "DEBUG: Normal Vector is " << *TotalNormal << ".");
 
   return TotalNormal;
@@ -109,5 +109,5 @@
 void BoundaryPolygonSet::GetCenter(Vector * const center) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   center->Zero();
   int counter = 0;
@@ -117,5 +117,5 @@
   }
   center->Scale(1. / (double) counter);
-  LOG(1, "Center is at " << *center << ".");
+  LOG(4, "DEBUG: Center of BoundaryPolygonSet is at " << *center << ".");
 }
 
@@ -126,5 +126,5 @@
 bool BoundaryPolygonSet::ContainsBoundaryTriangle(const BoundaryTriangleSet * const triangle) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   return ContainsPresentTupel(triangle->endpoints, 3);
 }
@@ -137,5 +137,5 @@
 bool BoundaryPolygonSet::ContainsBoundaryLine(const BoundaryLineSet * const line) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   return ContainsPresentTupel(line->endpoints, 2);
 }
@@ -148,13 +148,11 @@
 bool BoundaryPolygonSet::ContainsBoundaryPoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++) {
-    LOG(0, "Checking against " << **Runner);
     if (point == (*Runner)) {
-      LOG(0, " Contained.");
+      LOG(4, "DEBUG: Checking against " << **Runner << ": Contained.");
       return true;
     }
   }
-  LOG(0, " Not contained.");
   return false;
 }
@@ -167,11 +165,10 @@
 bool BoundaryPolygonSet::ContainsBoundaryPoint(const TesselPoint * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++)
     if (point == (*Runner)->node) {
-      LOG(0, " Contained.");
+      LOG(4, "DEBUG: Checking against " << **Runner << ": Contained.");
       return true;
     }
-  LOG(0, " Not contained.");
   return false;
 }
@@ -185,9 +182,9 @@
 bool BoundaryPolygonSet::ContainsPresentTupel(const BoundaryPointSet * const * Points, const int dim) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   int counter = 0;
-  LOG(1, "Polygon is " << *this);
+  LOG(5, "DEBUG Polygon is " << *this);
   for (int i = 0; i < dim; i++) {
-    LOG(1, " Testing endpoint " << *Points[i]);
+    LOG(5, "DEBUG: Testing endpoint " << *Points[i]);
     if (ContainsBoundaryPoint(Points[i])) {
       counter++;
@@ -208,9 +205,9 @@
 bool BoundaryPolygonSet::ContainsPresentTupel(const PointSet &endpoints) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   size_t counter = 0;
-  LOG(1, "Polygon is " << *this);
+  LOG(5, "DEBUG: Polygon is " << *this);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++) {
-    LOG(1, " Testing endpoint " << **Runner);
+    LOG(5, "DEBUG:  Testing endpoint " << **Runner);
     if (ContainsBoundaryPoint(*Runner))
       counter++;
@@ -239,5 +236,5 @@
 TriangleSet * BoundaryPolygonSet::GetAllContainedTrianglesFromEndpoints() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   pair<TriangleSet::iterator, bool> Tester;
   TriangleSet *triangles = new TriangleSet;
@@ -250,9 +247,9 @@
           Tester = triangles->insert(Sprinter->second);
           if (Tester.second)
-            LOG(0, "Adding triangle " << *(Sprinter->second));
+            LOG(4, "DEBUG: Adding triangle " << *(Sprinter->second));
         }
       }
 
-  LOG(1, "The Polygon of " << endpoints.size() << " endpoints has " << triangles->size() << " unique triangles in total.");
+  LOG(3, "DEBUG: The Polygon of " << endpoints.size() << " endpoints has " << triangles->size() << " unique triangles in total.");
   return triangles;
 }
@@ -265,14 +262,14 @@
 bool BoundaryPolygonSet::FillPolygonFromTrianglesOfLine(const BoundaryLineSet * const line)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   pair<PointSet::iterator, bool> Tester;
   if (line == NULL)
     return false;
-  LOG(1, "Filling polygon from line " << *line);
+  LOG(3, "DEBUG: Filling polygon from line " << *line);
   for (TriangleMap::const_iterator Runner = line->triangles.begin(); Runner != line->triangles.end(); Runner++) {
     for (int i = 0; i < 3; i++) {
       Tester = endpoints.insert((Runner->second)->endpoints[i]);
       if (Tester.second)
-        LOG(1, "  Inserting endpoint " << *((Runner->second)->endpoints[i]));
+        LOG(4, "DEBUG:   Inserting endpoint " << *((Runner->second)->endpoints[i]));
     }
   }
